List user rewards
curl --request GET \
--url https://api-tbi.boost.xyz/v1/users/{address}/rewardsimport requests
url = "https://api-tbi.boost.xyz/v1/users/{address}/rewards"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-tbi.boost.xyz/v1/users/{address}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": {
"chainId": 123,
"campaignIndex": 4503599627370495
},
"rewardToken": {
"address": "<unknown>",
"decimals": 4503599627370495,
"symbol": "<string>"
},
"balance": "<string>",
"accumulatedRewards": "<string>",
"claimable": "<string>"
}
],
"total": 4503599627370495
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}Users
List user rewards
Lists campaigns where the user has triggered and accrued rewards.
GET
/
v1
/
users
/
{address}
/
rewards
List user rewards
Headers
Optional partner attribution reference ID. Values are manually assigned by Boost and must be at most 128 characters.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Path Parameters
EVM address. Responses normalize addresses to lowercase.
Query Parameters
Reward chain ID.
Required range:
x <= 9007199254740991Campaign statuses. May be repeated or comma-separated.
Maximum number of rows to return.
Required range:
x <= 100Pagination offset.
Required range:
0 <= x <= 9007199254740991